Skip to content
Start here

Patch discovered operation

client.apiGateway.discovery.operations.edit(stringoperationId, OperationEditParams { zone_id, state } params, RequestOptionsoptions?): OperationEditResponse { state }
PATCH/zones/{zone_id}/api_gateway/discovery/operations/{operation_id}

Update the state on a discovered operation

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Account API GatewayDomain API Gateway
ParametersExpand Collapse
operationId: string

UUID.

maxLength36
minLength36
params: OperationEditParams { zone_id, state }
zone_id: string

Path param: Identifier.

maxLength32
state?: "review" | "ignored"

Body param: Mark state of operation in API Discovery

  • review - Mark operation as for review
  • ignored - Mark operation as ignored
One of the following:
"review"
"ignored"
ReturnsExpand Collapse
OperationEditResponse { state }
state?: "review" | "saved" | "ignored"

State of operation in API Discovery

  • review - Operation is not saved into API Shield Endpoint Management
  • saved - Operation is saved into API Shield Endpoint Management
  • ignored - Operation is marked as ignored
One of the following:
"review"
"saved"
"ignored"

Patch discovered operation

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const response = await client.apiGateway.discovery.operations.edit(
  'f174e90a-fafe-4643-bbbc-4a0ed4fc8415',
  { zone_id: '023e105f4ecef8ad9ca31a8372d0c353' },
);

console.log(response.state);
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "state": "review"
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "state": "review"
  },
  "success": true
}